Bug 1315059 - improve the error when undefine transient network
improve the error when undefine transient network
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 05:50 EST by Shanzhi Yu
Modified: 2016-11-03 14:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: libvirt-1.3.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 14:39:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shanzhi Yu 2016-03-06 05:50:46 EST
Description of problem:

improve the error when undefine transient network

Version-Release number of selected component (if applicable):

libvirt-1.3.2-1.el7.x86_64

How reproducible:

100%

Steps to Reproduce:

1. Prepare transient network

# virsh net-list --transient
 Name                 State      Autostart     Persistent
----------------------------------------------------------
 default              active     no            no


2. Try to undefine it
# virsh net-undefine default

error: Failed to undefine network default
error: cannot remove config file '/etc/libvirt/qemu/networks/default.xml': No such file or directory

3.

Actual results:

as above 

Expected results:

error: Failed to undefine network default
error: Requested operation is not valid: can't undefine transient network

Additional info:
Comment 1 Ján Tomko 2016-03-07 01:41:31 EST
A patch has been proposed upstream:
https://www.redhat.com/archives/libvir-list/2016-March/msg00174.html
Comment 2 Peter Krempa 2016-03-07 04:22:04 EST
Fixed upstream:

commit 347035f95999934ad0c5f50b9544c34fc797833d
Author: Shanzhi Yu <shyu@redhat.com>
Date:   Sun Mar 6 18:54:21 2016 +0800

    qemu: improve the error when try to undefine transient network

v1.3.2-68-g347035f
Comment 3 Mike McCune 2016-03-28 19:19:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 yalzhang@redhat.com 2016-04-06 22:40:10 EDT
verified on libvirt-1.3.3-1.el7.x86_64, the result is as expected.

# virsh net-list 
 Name                 State      Autostart     Persistent
----------------------------------------------------------
 default              active     no            yes
 definebr1            active     no            no
 netboot              active     no            yes

# virsh net-undefine definebr1
error: Failed to undefine network definebr1
error: Requested operation is not valid: can't undefine transient network
Comment 8 errata-xmlrpc 2016-11-03 14:39:00 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2577.html

Note You need to log in before you can comment on or make changes to this bug.